Bug 729604 - Problem found by Coverity
Summary: Problem found by Coverity
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tog-pegasus
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 10:45 UTC by Pavel Raiskup
Modified: 2011-09-19 14:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 10:48:08 UTC


Attachments (Terms of Use)

Description Pavel Raiskup 2011-08-10 10:45:40 UTC
Found by difference scan RHEL6.1/RHEL6.2 tog-pegasus package (tog-pegasus 2.9.1/2.11.0).

src/slp/slp_client/src/cmd-utils/slp_client/slp_client.cpp:1389:
src/slp/slp_client/src/cmd-utils/slp_client/slp_client.cpp:1696:
  - should'nt there be "#ifdef PEGASUS_ENABLE_IPV6"? Because
    structure p_addr has two parts (not only "ip4_addr"). Inside
    slp_is_loop_back could occur a static overrun if "addr" was
    ipv6 address.
  - called from line 1755, 1762, 1768 and it seems on ipv6 addresses also

Coverity says:

Error: OVERRUN_STATIC:
/builddir/build/BUILD/pegasus/src/slp/slp_client/src/cmd-utils/slp_client/slp_client.cpp:1389: overrun-buffer-val: Overrunning struct type struct in_addr of size 4 bytes by passing it as an argument to a function which indexes it at byte position 15.
/builddir/build/BUILD/pegasus/src/slp/slp_client/src/cmd-utils/slp_client/slp_utils.cpp:350: access_dbuff_const: Calling "memcmp" indexes array "addr" with index "sizeof (ip6) /*16*/" at byte position 15.

Comment 2 Vitezslav Crhonek 2011-08-16 10:48:08 UTC
After source code inspection - it seems to be false positive.


Note You need to log in before you can comment on or make changes to this bug.